JavaAppStartScriptGenerationDetails (Gradle API 8.11)

Package org.gradle.jvm.application.scripts

## Interface JavaAppStartScriptGenerationDetails

-     public interface JavaAppStartScriptGenerationDetails

  Details for generating Java-based application start scripts.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getApplicationName()` | The display name of the application
    `java.lang.String` | `getAppNameSystemProperty()` | This system property to use to pass the script name to the application.
    `java.util.List<java.lang.String>` | `getClasspath()` | The classpath, relative to the application home directory.
    `java.util.List<java.lang.String>` | `getDefaultJvmOpts()` |
    `java.lang.String` | `getExitEnvironmentVar()` | The environment variable to use to control exit value (windows only)
    `java.lang.String` | `getMainClassName()` |
    `java.util.List<java.lang.String>` | `getModulePath()` | The module path, relative to the application home directory.
    `java.lang.String` | `getOptsEnvironmentVar()` | The environment variable to use to provide additional options to the JVM
    `java.lang.String` | `getScriptRelPath()` | The path of the script, relative to the application home directory.

- - ### Method Detail

    - #### getApplicationName

          java.lang.String getApplicationName()

      The display name of the application

    - #### getOptsEnvironmentVar

          java.lang.String getOptsEnvironmentVar()

      The environment variable to use to provide additional options to the JVM

    - #### getExitEnvironmentVar

          java.lang.String getExitEnvironmentVar()

      The environment variable to use to control exit value (windows only)

    - #### getMainClassName

          java.lang.String getMainClassName()

    - #### getDefaultJvmOpts

          java.util.List<java.lang.String> getDefaultJvmOpts()

    - #### getClasspath

          java.util.List<java.lang.String> getClasspath()

      The classpath, relative to the application home directory.

    - #### getModulePath

          java.util.List<java.lang.String> getModulePath()

      The module path, relative to the application home directory.
      Since:
        6.4

    - #### getScriptRelPath

          java.lang.String getScriptRelPath()

      The path of the script, relative to the application home directory.

    - #### getAppNameSystemProperty

          @Nullable
          java.lang.String getAppNameSystemProperty()

      This system property to use to pass the script name to the application. May be null.